#ifndef XGFXSTATICMODELINST_H
#define XGFXSTATICMODELINST_H

#include "xasset.h"
#include "xgfxcolor.h"

#include <QVector3D>

class XGfxStaticModelInst : public XAsset
{
public:
    XGfxStaticModelInst();
    ~XGfxStaticModelInst();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector3D mMins;
    QVector3D mMaxs;
    XGfxColor mGroundLighting;
};

#endif // XGFXSTATICMODELINST_H
